Summary: Cdrdao - Write audio CD-Rs in disk-at-once mode
Name: cdrdao
Version: 1.1.3
Release: 1
Group: Utilities/System
Copyright: GPL
Url: http://www.ping.de/sites/daneb/cdrdao.html
Vendor: Andreas Mueller <mueller@daneb.ping.de>
Packager: Hao Li <hli@wag.caltech.edu>
Source: http://www.ping.de/sites/daneb/cdrdao-%{version}.src.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
Writes audio CD-Rs in disc-at-once (DAO) mode allowing
control over pre-gaps (length down to 0, nonzero audio
data) and sub-channel information like ISRC codes. All
data that is written to the disc must be specified with
a text file. Audio data may be in WAVE or raw format.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure \
	--prefix=/usr \
	--with-pcctsbin=/usr/bin --with-pcctsinc=/usr/include/pccts
make


%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install
strip $RPM_BUILD_ROOT/usr/bin/*
# Make cdrdao and xcdrdao suid root so normal users can use them.
# To avoid suit root you can also make /dev/sg? read/writable by normal users.
chmod 4711 $RPM_BUILD_ROOT/usr/bin/{cdrdao,xcdrdao}


%files
%defattr(-,root,root)
%doc COPYING CREDITS INSTALL README* Release-* testtocs
/usr/bin/*
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Sun Oct 31 1999 Hao Li <hli@wag.caltech.edu>
- pccts is required for building but not running this RPM because it is only
  a parser generator.
- Gtk-- is required for building and running xcdrdao (but not cdrdao).
- We could also have used the libscg bundled with cdrecord and avoid the
  necessity of recompilation here. However I'd rather save the hassle myself
  and tire the computer.

